## dpkg-www 1.10

=== Makefile ===
# Makefile

VERSION	= $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//;s/-.*//')

all:
	if ! grep -q "^PROG_VERSION=$(VERSION)$$" src/dpkg; then \
	    sed '/^PROG_VERSION=/s/^.*$$/PROG_VERSION=$(VERSION)/' \
		< src/dpkg > src/dpkg.new; \
	    mv -f src/dpkg.new src/dpkg; \
	    chmod 755 src/dpkg; \
	fi

install:
	@ mkdir -p $(DESTDIR)/usr/lib/cgi-bin
	cp -p src/dpkg $(DESTDIR)/usr/lib/cgi-bin/

clean:
	rm -f `find . -name \*~`

distclean:	clean

=== debian/changelog ===
dpkg-www (1.10) unstable; urgency=low

  * Changed gawk to awk in statusFilter(), closes: bug #53746.

  * Restored package architecture to all (Massimo Dal Zotto <dz@cs.unitn.it>).

 -- Paolo Didon <dido@prosa.it>  Fri, 31 Dec 1999 14:23:43 +0100

dpkg-www (1.9-1) unstable; urgency=low

  * Sponsor Upload.

 -- Paolo Didon <dido@prosa.it>  Tue, 28 Dec 1999 13:13:13 +0100

dpkg-www (1.9) unstable; urgency=low

  * Allow browsing local doc files from remote hosts.

 -- Massimo Dal Zotto <dz@cs.unitn.it>  Tue,  7 Dec 1999 10:03:52 +0100

dpkg-www (1.8) unstable; urgency=low

  * Fixed a typo in the html help message.

 -- Massimo Dal Zotto <dz@cs.unitn.it>  Mon, 22 Nov 1999 10:21:45 +0100

dpkg-www (1.7) unstable; urgency=low

  * Removed diversions of dwww-convert and dwww-find which are not
    really needed by this package and don't belong to it.

 -- Massimo Dal Zotto <dz@cs.unitn.it>  Wed, 10 Nov 1999 13:09:51 +0100

dpkg-www (1.6) unstable; urgency=low

  * Added support for wildcard queries. This can also be used to list
    all available packages.

  * Use dpkg --print-avail to show packages not installed.

  * In fileFilter, handle also files in /usr/share/doc/.

 -- Massimo Dal Zotto <dz@cs.unitn.it>  Tue,  9 Nov 1999 14:49:48 +0100

dpkg-www (1.5) unstable; urgency=low

  * Fixed html bug when dpkg -l lists version <none>.

  * Added support for virtual packages.

  * Added some output hacks for lynx.

 -- Massimo Dal Zotto <dz@cs.unitn.it>  Sun,  7 Nov 1999 17:15:15 +0100

dpkg-www (1.4) unstable; urgency=low

  * Replaced the <ISINDEX> tag with an input form if perl is available.

  * Added help command.

  * Rewritten the listPackage code for package not found.

  * Show package status also for non installed packages.

 -- Massimo Dal Zotto <dz@cs.unitn.it>  Fri,  5 Nov 1999 15:22:37 +0100

dpkg-www (1.3) unstable; urgency=low

  * Fixed bug in the search of owners of a diverted files.

 -- Massimo Dal Zotto <dz@cs.unitn.it>  Wed,  3 Nov 1999 16:17:08 +0100

dpkg-www (1.2) unstable; urgency=low

  * Added email and copyright info to html output.

 -- Massimo Dal Zotto <dz@cs.unitn.it>  Sat,  2 Oct 1999 11:37:25 +0200

dpkg-www (1.1) unstable; urgency=low

  * Initial Release.

  * Changed dwww-convert and dwww-find to handle dpkg output.

 -- Massimo Dal Zotto <dz@cs.unitn.it>  Mon,  2 Aug 1999 17:37:25 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dpkg-www
Section: doc
Priority: optional
Maintainer: Paolo Didon <dido@prosa.it>
Standards-Version: 3.0.1

Package: dpkg-www
Architecture: all
Depends: dwww, bash, textutils, awk
Description: WWW interface to dpkg package info.
 The dpkg cgi-bin program lets you browse Debian packages via a local
 WWW server. You can list packages, show package info and installed files,
 browse documentation and navigate through the packages dependencies.
 You can also find all the packages owner of a file or directory or
 those providing a virtual package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

# Build architecture-independent files here.
binary-indep: build install
	# dh_testversion
	dh_testdir
	dh_testroot
	# dh_installdebconf	
	dh_installdocs
	# dh_installexamples
	# dh_installmenu
	# dh_installemacsen
	# dh_installpam
	# dh_installinit
	# dh_installcron
	# dh_installmanpages
	# dh_installinfo
	# dh_undocumented
	dh_installchangelogs 
	dh_link
	# dh_strip
	dh_compress
	dh_fixperms
	# dh_suidregister
	# dh_makeshlibs
	dh_installdeb
	# dh_perl
	# dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## dpkg-www 2.28

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,15 @@
 
 install:
 	@ mkdir -p $(DESTDIR)/usr/lib/cgi-bin
+	@ mkdir -p $(DESTDIR)/usr/bin
+	@ mkdir -p $(DESTDIR)/usr/share/man/man1
 	cp -p src/dpkg $(DESTDIR)/usr/lib/cgi-bin/
+	cp -p src/dpkg-www $(DESTDIR)/usr/bin/
+	cp -p src/dpkg-www-installer $(DESTDIR)/usr/sbin/
+	cp -p src/dpkg-www-browser $(DESTDIR)/usr/sbin/
+	cp -p src/dpkg-www.1 $(DESTDIR)/usr/share/man/man1/
+	cp -p src/dpkg-www.8 $(DESTDIR)/usr/share/man/man8
+	cp -p src/dpkg-www.conf $(DESTDIR)/etc/
 
 clean:
 	rm -f `find . -name \*~`

=== debian/changelog ===
dpkg-www (2.28) unstable; urgency=low

  * Added russian templates file.
    Closes: Bug#136931.

  * Added french templates file.
    Closes: Bug#137052.

  * Added italian templates file.

 -- Massimo Dal Zotto <dz@debian.org>  Wed,  6 Mar 2002 23:23:45 +0100

dpkg-www (2.27) unstable; urgency=low

  * In queryPackageByField() added special filed `recent' to list
    recently installed packages. Updated the html help page.

 -- Massimo Dal Zotto <dz@debian.org>  Thu,  3 Jan 2002 22:10:59 +0100

dpkg-www (2.26) unstable; urgency=low

  * Added german description to templates file.
    Closes: Bug#126179.

 -- Massimo Dal Zotto <dz@debian.org>  Sun, 23 Dec 2001 14:34:43 +0100

dpkg-www (2.25) unstable; urgency=low

  * Added debconf template for updating apache configfiles.
    Closes: Bug#121395.

  * Added the CHECK_PACKAGE_VERSION configuration option.

  * Code speed-ups, for slow machines.

 -- Massimo Dal Zotto <dz@debian.org>  Thu, 29 Nov 2001 10:32:48 +0100

dpkg-www (2.24) unstable; urgency=low

  * In dpkg cgi script added code to escape html output.

 -- Massimo Dal Zotto <dz@debian.org>  Wed, 21 Nov 2001 09:55:42 +0100

dpkg-www (2.23) unstable; urgency=low

  * In fileFilter() fixed \\& in dwww url.
    Closes: Bug#114688.

  * Fixed description of FORCE_SSH_PASSWD in dpkg-www(8) man page.

  * In listSections() added sections descriptions.

  * Added undocumented dpkg-www-browser hack.

 -- Massimo Dal Zotto <dz@debian.org>  Sun,  7 Oct 2001 19:39:01 +0200

dpkg-www (2.22) unstable; urgency=low

  * Added code for listing available sections and tasks.

  * In fileFilter() add links for documents in /usr/share/RFC.
    Any non-standard doc path should also be added to DWWW_DOCPATH
    in the /usr/sbin/dwww-convert script.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 18 Sep 2001 12:25:07 +0200

dpkg-www (2.21) unstable; urgency=low

  * In package info page link to Debian BTS after "Maintainer:" field.
    Replaced package name after "Package:" with link to debian package page.

 -- Massimo Dal Zotto <dz@debian.org>  Wed, 29 Aug 2001 22:49:37 +0200

dpkg-www (2.20) unstable; urgency=low

  * In package info page moved the link to Debian BTS after the package
    version. The link is now generated by packageFilter().
    Replaced package section with link to package section list.

  * Fixed typo in Depends field (nawk -> mawk).

 -- Massimo Dal Zotto <dz@debian.org>  Fri, 24 Aug 2001 23:34:50 +0200

dpkg-www (2.19) unstable; urgency=low

  * In fileFilter() added version info for non-installed packages.

  * Remove dependencies on dpkg, bash and textutils.

 -- Massimo Dal Zotto <dz@debian.org>  Wed, 25 Jul 2001 09:10:27 +0200

dpkg-www (2.18) unstable; urgency=low

  * In package info page added link to Debian BTS page for the package
    as suggested by Adrian von Bidder.
    Closes: Bug#100143.

  * Added option INSTALL_BUTTON=top to have the buttons at the top, before
    the file list.

  * Disabled SHOW_LOCAL_FILES if HTTP user agent is Mozilla/5 since it seems
    it refuses to load local files from web pages, probably for security
    reasons.

 -- Massimo Dal Zotto <dz@debian.org>  Sat,  9 Jun 2001 15:47:41 +0200

dpkg-www (2.17) unstable; urgency=low

  * Added support for man2html in manpage conversion.
    Updated also dpkg-www.conf and the dpkg-www(8) man page.
    Closes: Bug#92301.

 -- Massimo Dal Zotto <dz@debian.org>  Sat, 31 Mar 2001 17:10:00 +0200

dpkg-www (2.16) unstable; urgency=low

  * Added missing doublequotes to sanity check tests.
    Added missing backslashes to addButton functions. 

 -- Massimo Dal Zotto <dz@debian.org>  Tue,  6 Mar 2001 15:50:00 +0100

dpkg-www (2.15) unstable; urgency=low

  * In dpkg script added the `Upgrade' and `Remove' buttons in package info.
    Added also latest version information if a new version is available.

  * Updated the dpkg-www-installer script to handle remove requests.

  * Updated dpkg-www.conf, help page and dpkg-www(8) man page.

  * In dpkg script fixed typo in the sanity check code.

  * In fileFilter() fixed regexps to handle embedded $ and + in filenames.

 -- Massimo Dal Zotto <dz@debian.org>  Thu, 11 Jan 2001 19:37:27 +0100

dpkg-www (2.14) unstable; urgency=low

  * In dpkg-www-installer added a missing backslash in ssh command and
    forced ssh passwd prompt even if an ssh-agent holds the private key.
    Updated also the default config file and the dpkg-www(8) man page.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 11 Dec 2000 23:03:36 +0100

dpkg-www (2.13) unstable; urgency=low

  * In queryOwners() redirected dpkg error messages to /dev/null so that
    they don't go into the httpd logs.

  * Added an `Install' button example in the help page.

 -- Massimo Dal Zotto <dz@debian.org>  Sat,  9 Dec 2000 15:27:15 +0100

dpkg-www (2.12) unstable; urgency=low

  * In queryOwners() handle filenames with embedded spaces and non-ascii
    characters. Handle also files owned by multiple packages in Contents.gz
    files.

  * In doQuery() removed checkInput before queryOwners(). Now queryOwners
    accepts any input.

 -- Massimo Dal Zotto <dz@debian.org>  Wed,  6 Dec 2000 12:41:50 +0100

dpkg-www (2.11) unstable; urgency=low

  * In dpkg-www script added url encoding of input args. Updated also
    the dpkg-www man page.

  * In queryPackageByField() use `apt-cache show' if grep-dctrl is
    not installed and control field is not specified.

  * Changed input checks. Now queryPackageByField() accepts any input.

  * Added the KEEP_INPUT config variable.

  * Fixed synopsis in dpkg man page.

  * Added dpkg and apt dependencies.

  * Updated maintainer email address.

 -- Massimo Dal Zotto <dz@debian.org>  Thu, 30 Nov 2000 11:21:30 +0100

dpkg-www (2.10) unstable; urgency=low

  * In listPackageDocumentation() handle also document_id != filename,
    for example dpkg-internals in /usr/share/doc-base/dpkg-doc.

  * Updated man page and default config file.



=== debian/control ===
Source: dpkg-www
Section: doc
Priority: optional
Maintainer: Massimo Dal Zotto <dz@debian.org>
Standards-Version: 3.1.0
Build-Depends: debhelper (>= 1.1.17)

Package: dpkg-www
Architecture: all
Depends: apt, dwww, info2www, gawk | mawk | awk, perl | perl5, httpd, debconf
Suggests: dlocate, grep-dctrl, www-browser, man2html
Description: WWW Debian package browser
 With the dpkg cgi-bin you can browse Debian packages on a local or
 remote host using a normal WEB browser.
 .
 You can list packages, show package information and installed files,
 browse documentation and navigate through the packages dependencies.
 You can also find all the packages owners of a file or directory or
 those providing a virtual package.
 .
 If you are the system administrator you can also install or remove
 packages by clicking on the buttons found in the package info page, 
 provided that this feature has been enabled and you have properly
 configured your WEB browser.

=== debian/rules ===
--- 
+++ 
@@ -41,19 +41,19 @@
 	# dh_testversion
 	dh_testdir
 	dh_testroot
-	# dh_installdebconf	
+	dh_installdebconf	
 	dh_installdocs
 	# dh_installexamples
-	# dh_installmenu
+	dh_installmenu
 	# dh_installemacsen
 	# dh_installpam
 	# dh_installinit
 	# dh_installcron
-	# dh_installmanpages
+	dh_installmanpages
 	# dh_installinfo
-	# dh_undocumented
+	dh_undocumented dpkg-www-installer.8 dpkg-www-browser.8
 	dh_installchangelogs 
-	dh_link
+	# dh_link
 	# dh_strip
 	dh_compress
 	dh_fixperms

## dpkg-www 2.43

=== Makefile ===
--- 
+++ 
@@ -17,9 +17,9 @@
 	cp -p src/dpkg $(DESTDIR)/usr/lib/cgi-bin/
 	cp -p src/dpkg-www $(DESTDIR)/usr/bin/
 	cp -p src/dpkg-www-installer $(DESTDIR)/usr/sbin/
-	cp -p src/dpkg-www-browser $(DESTDIR)/usr/sbin/
+	cp -p src/dpkg-www.xpm $(DESTDIR)/usr/X11R6/include/X11/pixmaps/
 	cp -p src/dpkg-www.1 $(DESTDIR)/usr/share/man/man1/
-	cp -p src/dpkg-www.8 $(DESTDIR)/usr/share/man/man8
+	cp -p src/dpkg-www.8 $(DESTDIR)/usr/share/man/man8/
 	cp -p src/dpkg-www.conf $(DESTDIR)/etc/
 
 clean:

=== debian/changelog ===
dpkg-www (2.43) unstable; urgency=low

  * Switched to gettex-based debconf templates.
    Closes: #200120.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 29 Dec 2003 18:05:08 +0100

dpkg-www (2.42) unstable; urgency=low

  * In dpkg-www script use sensible-browser if installed and allow users
    to choose a specific browser with the DPKG_WWW_BROWSER variable.
    Updated dpkg-www mapage.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 15 Jul 2003 12:43:33 +0200

dpkg-www (2.41) unstable; urgency=low

  * Properly escaped the '&' in dwww man prefix.
    Closes: Bug#197802.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 17 Jun 2003 23:12:10 +0200

dpkg-www (2.40) unstable; urgency=low

  * In input form added checkbox to limit search to installed packages.

  * Changed dpkg-www-installer to restart self in a xterm if stdin is
    not a tty. Needed for use with mozilla which seems unable to pass
    the -x switch to helper application.

  * Removed dpkg-www-browser helper application.

 -- Massimo Dal Zotto <dz@debian.org>  Fri, 23 May 2003 10:20:44 +0200

dpkg-www (2.39) unstable; urgency=low

  * In dpkg script search man2html both in /usr/lib/cgi-bin/man and
    /usr/lib/cgi-bin for compatibility with man2html 1.5k-1 and later.

  * Removed dependency on awk.

  * Added missing manpages.

  * Added menu icon.

  * Changed Standards-Version to 3.5.8.

 -- Massimo Dal Zotto <dz@debian.org>  Wed, 12 Mar 2003 11:23:10 +0100

dpkg-www (2.38) unstable; urgency=low

  * In postinst script redirected message to stderr since stdout is used
    by debconf.
    Closes: Bug#181041.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 11 Mar 2003 23:10:11 +0100

dpkg-www (2.37) unstable; urgency=low

  * During postinst update httpd.conf instead of access.conf.
    Closes: Bug#167155.

  * In dpkg-www script added sensible-browser to lists of known browsers.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 26 Nov 2002 12:23:22 +0100

dpkg-www (2.36) unstable; urgency=low

  * Added x-www-browser to the list of X browsers.
    Closes: Bug#162514.

 -- Massimo Dal Zotto <dz@debian.org>  Fri, 27 Sep 2002 22:28:24 +0200

dpkg-www (2.35) unstable; urgency=low

  * Fixed syntax error in printInputForm.

 -- Massimo Dal Zotto <dz@debian.org>  Sat,  7 Sep 2002 19:17:12 +0200

dpkg-www (2.34) unstable; urgency=low

  * Updated link to maintainer packages overview.

  * Updated dz's home page url in the bottom line.

 -- Massimo Dal Zotto <dz@debian.org>  Wed,  4 Sep 2002 21:34:41 +0200

dpkg-www (2.33) unstable; urgency=low

  * In dpkg-www script added --help and --stdout options.
    Updated man page.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 13 Aug 2002 14:26:47 +0200

dpkg-www (2.32) frozen unstable; urgency=high

  * In fileFilter() added /usr/share/gnome/html/ to doc dirs regexp.

 -- Massimo Dal Zotto <dz@debian.org>  Fri,  7 Jun 2002 18:35:17 +0200

dpkg-www (2.31) frozen unstable; urgency=high

  * In package info page added link to Igor Genibel's maintainer packages
    overview and printed latest available version in bold.

 -- Massimo Dal Zotto <dz@debian.org>  Wed, 15 May 2002 01:00:52 +0200

dpkg-www (2.30) frozen unstable; urgency=low

  * Changed Build-Depends control field to Build-Depends-Indep.
    Updated Standards-Version to 3.5.2.

 -- Massimo Dal Zotto <dz@debian.org>  Mon,  6 May 2002 17:00:24 +0200

dpkg-www (2.29) unstable; urgency=low

  * In packageFilter() added workaround for apt-cache missing spaces
    in Depends field.

  * Added hardcoded task descriptions in case tasksel is not installed.
    Suggests package tasksel.

  * Added support for HTML body color.

  * Handle package links in Enhances field.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 16 Apr 2002 10:49:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: doc
 Priority: optional
 Maintainer: Massimo Dal Zotto <dz@debian.org>
-Standards-Version: 3.1.0
-Build-Depends: debhelper (>= 1.1.17)
+Build-Depends-Indep: debhelper (>= 4.1.16)
+Standards-Version: 3.5.8
 
 Package: dpkg-www
 Architecture: all
-Depends: apt, dwww, info2www, gawk | mawk | awk, perl | perl5, httpd, debconf
-Suggests: dlocate, grep-dctrl, www-browser, man2html
+Depends: apt, dwww, info2www, perl | perl5, apache | httpd, debconf
+Suggests: dlocate, grep-dctrl, www-browser, man2html, tasksel
 Description: WWW Debian package browser
  With the dpkg cgi-bin you can browse Debian packages on a local or
  remote host using a normal WEB browser.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/dpkg-www.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/dpkg-www


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	# dh_installexamples
	dh_installmenu
	# dh_installlogrotate
	# dh_installemacsen
	# dh_installpam
	# dh_installmime
	# dh_installinit
	# dh_installcron
	dh_installman
	for f in dpkg-www-installer; do \
	    ln -s dpkg-www.1.gz \
		  $(CURDIR)/debian/dpkg-www/usr/share/man/man1/$$f.1.gz; \
	done
	# dh_installinfo
	# dh_undocumented
	dh_installchangelogs 
	# dh_link
	# dh_strip
	dh_compress
	dh_fixperms
	# dh_makeshlibs
	dh_installdeb
	# dh_perl
	# dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dpkg-www 2.47

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,11 @@
 # Makefile
 
 VERSION	= $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//;s/-.*//')
+PKGFILE = $(shell cd ..; find . -name dpkg-www_$(VERSION)_*.deb | sed 's|./||')
+CHANGES = $(shell cd ..; find . -name dpkg-www_$(VERSION)_*.changes)
 
 all:
+	# Update program version from changelog
 	if ! grep -q "^PROG_VERSION=$(VERSION)$$" src/dpkg; then \
 	    sed '/^PROG_VERSION=/s/^.*$$/PROG_VERSION=$(VERSION)/' \
 		< src/dpkg > src/dpkg.new; \
@@ -17,7 +20,7 @@
 	cp -p src/dpkg $(DESTDIR)/usr/lib/cgi-bin/
 	cp -p src/dpkg-www $(DESTDIR)/usr/bin/
 	cp -p src/dpkg-www-installer $(DESTDIR)/usr/sbin/
-	cp -p src/dpkg-www.xpm $(DESTDIR)/usr/X11R6/include/X11/pixmaps/
+	cp -p src/dpkg-www.xpm $(DESTDIR)/usr/share/pixmaps/
 	cp -p src/dpkg-www.1 $(DESTDIR)/usr/share/man/man1/
 	cp -p src/dpkg-www.8 $(DESTDIR)/usr/share/man/man8/
 	cp -p src/dpkg-www.conf $(DESTDIR)/etc/
@@ -26,3 +29,20 @@
 	rm -f `find . -name \*~`
 
 distclean:	clean
+
+diff:
+	@diff -u src/dpkg /usr/lib/cgi-bin/dpkg
+
+deb:
+	dpkg-buildpackage -rfakeroot -us -uc
+
+package:
+	dpkg-buildpackage -rfakeroot
+
+lintian:
+	lintian -i ../$(PKGFILE)
+
+upload:
+	cd .. && dupload $(CHANGES)
+
+# end of file

=== debian/changelog ===
dpkg-www (2.47) unstable; urgency=low

  * Applied forgotten patch of dpkg-www-2.46.
    Closes: #302294.

 -- Massimo Dal Zotto <dz@debian.org>  Mon,  4 Apr 2005 10:05:00 +0200

dpkg-www (2.46) unstable; urgency=low

  * Fixed regexp for plus(+) in fileFilter when using gawk.
    Closes: #302294.

  * Added dependency on awk to have the installed flavors in reportbug.

  * Moved dpkg-www-installer manpage in section 8.

 -- Massimo Dal Zotto <dz@debian.org>  Thu, 31 Mar 2005 12:11:21 +0200

dpkg-www (2.45) unstable; urgency=low

  * Fixed po filename of Czech translation.
    Closes: #293781.

  * Moved menu icon in /usr/share/pixmaps/.

 -- Massimo Dal Zotto <dz@debian.org>  Sun,  6 Feb 2005 18:01:30 +0100

dpkg-www (2.44) unstable; urgency=low

  * Fixed translator name in fr.po file.

  * Added Dutch translation. Thanks to Luk Claes.
    Closes: #250235.

  * Added Czech translation. Thanks to Jan Outrata.
    Closes: #259182.

  * Added Japanese translation. Thanks to Hideki Yamane.
    Closes: #267676.

  * Updated German translation. Thanks to Erik Schanze.
    Closes: #284372.

  * Added mime file for dpkg-www-installer.
    Closes: #243186.

  * In dpkg-www added --host option and DPKG_WWW_HOST environment variable.
    Closes: #269273.

 -- Massimo Dal Zotto <dz@debian.org>  Fri,  4 Feb 2005 13:18:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 Package: dpkg-www
 Architecture: all
-Depends: apt, dwww, info2www, perl | perl5, apache | httpd, debconf
-Suggests: dlocate, grep-dctrl, www-browser, man2html, tasksel
+Depends: apt, dwww, info2www, perl | perl5, apache | httpd, debconf, mawk | awk
+Suggests: dlocate, grep-dctrl, mozilla-firefox | www-browser, man2html, tasksel
 Description: WWW Debian package browser
  With the dpkg cgi-bin you can browse Debian packages on a local or
  remote host using a normal WEB browser.

=== debian/rules ===
--- 
+++ 
@@ -70,13 +70,13 @@
 	# dh_installlogrotate
 	# dh_installemacsen
 	# dh_installpam
-	# dh_installmime
+	dh_installmime
 	# dh_installinit
 	# dh_installcron
 	dh_installman
 	for f in dpkg-www-installer; do \
-	    ln -s dpkg-www.1.gz \
-		  $(CURDIR)/debian/dpkg-www/usr/share/man/man1/$$f.1.gz; \
+	    ln -s dpkg-www.8.gz \
+		  $(CURDIR)/debian/dpkg-www/usr/share/man/man8/$$f.8.gz; \
 	done
 	# dh_installinfo
 	# dh_undocumented

## dpkg-www 2.48

=== Makefile ===
# Makefile

PKGNAME = $(shell head -1 debian/changelog | sed 's/ .*//')
VERSION	= $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//;s/-.*//')
PKGFILE	= $(PKGNAME)_$(VERSION)_all.deb
CHANGES	= $(PKGNAME)_$(VERSION)_$(shell dpkg --print-architecture).changes

all:
	# Update program version from changelog
	if ! grep -q "^PROG_VERSION=$(VERSION)$$" src/dpkg; then \
	    sed '/^PROG_VERSION=/s/^.*$$/PROG_VERSION=$(VERSION)/' \
		< src/dpkg > src/dpkg.new; \
	    mv -f src/dpkg.new src/dpkg; \
	    chmod 755 src/dpkg; \
	fi

install:
	@ mkdir -p $(DESTDIR)/usr/lib/cgi-bin
	@ mkdir -p $(DESTDIR)/usr/bin
	@ mkdir -p $(DESTDIR)/usr/share/man/man1
	@ mkdir -p $(DESTDIR)/etc/{apache,apache2}/conf.d
	cp -p src/dpkg $(DESTDIR)/usr/lib/cgi-bin/
	cp -p src/dpkg-www $(DESTDIR)/usr/bin/
	cp -p src/dpkg-www-installer $(DESTDIR)/usr/sbin/
	cp -p src/dpkg-www.xpm $(DESTDIR)/usr/share/pixmaps/
	cp -p src/dpkg-www.1 $(DESTDIR)/usr/share/man/man1/
	cp -p src/dpkg-www.8 $(DESTDIR)/usr/share/man/man8/
	cp -p src/dpkg-www.conf $(DESTDIR)/etc/
	cp -p src/apache.conf $(DESTDIR)/etc/apache/conf.d/dpkg-www
	cp -p src/apache.conf $(DESTDIR)/etc/apache2/conf.d/dpkg-www

clean:
	rm -f `find . -name \*~`

distclean:	clean

diff:
	@diff -u src/dpkg /usr/lib/cgi-bin/dpkg

package:
	dpkg-buildpackage -rfakeroot

deb:
	dpkg-buildpackage -rfakeroot -us -uc

debclean:
	fakeroot ./debian/rules clean

debinst:
	cd .. && sudo dpkg -i $(PKGFILE)

lintian:
	cd .. && lintian -i $(PKGFILE)

upload:
	cd .. && dupload $(CHANGES)

# end of file

=== debian/changelog ===
dpkg-www (2.48) unstable; urgency=low

  * Fixed duplicate lines for doc-base documentation files.

  * Use apache's conf.d instead modifying httpd.conf.
    Also changed debconf templates to simply output a note.
    Closes: #281833, #329622.

  * Added Vietnamese translation. Thanks to Clytie Siddall.
    Closes: #311594.

  * Allow alternate location of info2www and dwww.
    Closes: #315541.

  * Added alternate dependency on debconf-2.0.
    Closes: #331805.

  * Added support for /usr/share/gtk-doc/html directory.

  * Removed again dependency on awk.

 -- Massimo Dal Zotto <dz@debian.org>  Fri,  7 Oct 2005 13:10:38 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 
 Package: dpkg-www
 Architecture: all
-Depends: apt, dwww, info2www, perl | perl5, apache | httpd, debconf, mawk | awk
+Depends: apt, dwww, info2www, perl | perl5, apache | httpd, debconf | debconf-2.0
 Suggests: dlocate, grep-dctrl, mozilla-firefox | www-browser, man2html, tasksel
-Description: WWW Debian package browser
+Description: powerful WEB based Debian package browser
  With the dpkg cgi-bin you can browse Debian packages on a local or
  remote host using a normal WEB browser.
  .

## dpkg-www 2.49

=== Makefile ===
--- 
+++ 
@@ -40,6 +40,9 @@
 package:
 	dpkg-buildpackage -rfakeroot
 
+dist:
+	dpkg-buildpackage -rfakeroot
+
 deb:
 	dpkg-buildpackage -rfakeroot -us -uc

=== debian/changelog ===
dpkg-www (2.49) unstable; urgency=low

  * Added Polish translation.
    Closes: #339851.

  * Added Swedish translation.
    Closes: #333170.

  * Updated French translation.
    Closes: #333555.

  * Updated Czech translation.
    Closes: #335349.

  * Updated Russian translation.
    Closes: #340628, #361649.

  * Updated German translation.
    Closes: #345701.

 -- Massimo Dal Zotto <dz@debian.org>  Wed, 19 Apr 2006 12:00:39 +0200

## dpkg-www 2.52

=== Makefile ===
--- 
+++ 
@@ -56,6 +56,6 @@
 	cd .. && lintian -i $(PKGFILE)
 
 upload:
-	cd .. && dupload $(CHANGES)
+	cd .. && grep -q 'PGP SIGNED MESSAGE' $(CHANGES) && dupload $(CHANGES)
 
 # end of file

=== debian/changelog ===
dpkg-www (2.52) unstable; urgency=low

  * Removed debconf stuff and moved notes to README.Debian.
    Closes: #388886, #372236, #383178.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 26 Sep 2006 14:08:33 +0200

dpkg-www (2.51) unstable; urgency=low

  * Updated Dutch translation.
    Closes: #380493.

 -- Massimo Dal Zotto <dz@debian.org>  Sun, 30 Jul 2006 18:28:55 +0200

dpkg-www (2.50) unstable; urgency=low

  * Updated Swedish translation.
    Closes: #365776.

  * Added Spanish translation.
    Closes: #367306.

  * Added Portuguese translation.
    Closes: #372236.

  * Updated Dutch translation.
    Closes: #375674.

 -- Massimo Dal Zotto <dz@debian.org>  Sat, 29 Jul 2006 17:52:01 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: dpkg-www
 Architecture: all
-Depends: apt, dwww, info2www, perl | perl5, apache | httpd, debconf | debconf-2.0
+Depends: apt, dwww, info2www, perl | perl5, apache2 | httpd
 Suggests: dlocate, grep-dctrl, mozilla-firefox | www-browser, man2html, tasksel
 Description: powerful WEB based Debian package browser
  With the dpkg cgi-bin you can browse Debian packages on a local or

=== debian/rules ===
--- 
+++ 
@@ -63,7 +63,7 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-	dh_installdebconf	
+	# dh_installdebconf	
 	dh_installdocs
 	# dh_installexamples
 	dh_installmenu

## dpkg-www 2.54

=== debian/changelog ===
dpkg-www (2.54) unstable; urgency=low

  * Fixed parsing of dpkg -l headers in listFilter.
    Closes: #463871.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 04 Feb 2008 23:31:43 +0100

dpkg-www (2.53) unstable; urgency=low

  * Rewritten parsing of dpkg -l headers in listFilter.
    Closes: #455483.

  * Fixed package building with dash as /bin/sh.
    Closes: #459047.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 22 Jan 2008 15:05:09 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
 Architecture: all
 Depends: apt, dwww, info2www, perl | perl5, apache2 | httpd
 Suggests: dlocate, grep-dctrl, mozilla-firefox | www-browser, man2html, tasksel
-Description: powerful WEB based Debian package browser
+Description: Web based Debian package browser
  With the dpkg cgi-bin you can browse Debian packages on a local or
- remote host using a normal WEB browser.
+ remote host using a normal web browser.
  .
  You can list packages, show package information and installed files,
  browse documentation and navigate through the packages dependencies.
@@ -21,4 +21,4 @@
  If you are the system administrator you can also install or remove
  packages by clicking on the buttons found in the package info page, 
  provided that this feature has been enabled and you have properly
- configured your WEB browser.
+ configured your web browser.

## dpkg-www 2.54+nmu1

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,8 @@
 	@ mkdir -p $(DESTDIR)/usr/lib/cgi-bin
 	@ mkdir -p $(DESTDIR)/usr/bin
 	@ mkdir -p $(DESTDIR)/usr/share/man/man1
-	@ mkdir -p $(DESTDIR)/etc/{apache,apache2}/conf.d
+	@ mkdir -p $(DESTDIR)/etc/apache/conf.d
+	@ mkdir -p $(DESTDIR)/etc/apache2/conf.d
 	cp -p src/dpkg $(DESTDIR)/usr/lib/cgi-bin/
 	cp -p src/dpkg-www $(DESTDIR)/usr/bin/
 	cp -p src/dpkg-www-installer $(DESTDIR)/usr/sbin/

=== debian/changelog ===
dpkg-www (2.54+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Lintian-based changes:
    - Build-Depend on debhelper, clean-should-be-satisfied-by-build-depends
    - debian/compat:4, comment DH_COMPAT in rules, debian-rules-sets-DH_COMPAT
    - s/-$(MAKE)/$(MAKE)/ debian/rules as Makefile is always present
      + debian-rules-ignores-make-clean-error
  * Fixed bashisms in dpkg-www-installer (Closes: #468679).
    - Additionally changed the shebang of dpkg-www to sh, as it's bashisms-free

 -- Raphael Geissert <atomo64@gmail.com>  Fri, 30 May 2008 15:46:11 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Massimo Dal Zotto <dz@debian.org>
-Build-Depends-Indep: debhelper (>= 4.1.16)
+Build-Depends: debhelper (>= 4.1.16)
 Standards-Version: 3.5.8
 
 Package: dpkg-www

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=4
+#export DH_COMPAT=4
 
 
 
@@ -45,7 +45,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean

## dpkg-www 2.55

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,6 @@
 	@ mkdir -p $(DESTDIR)/usr/lib/cgi-bin
 	@ mkdir -p $(DESTDIR)/usr/bin
 	@ mkdir -p $(DESTDIR)/usr/share/man/man1
-	@ mkdir -p $(DESTDIR)/etc/apache/conf.d
-	@ mkdir -p $(DESTDIR)/etc/apache2/conf.d
 	cp -p src/dpkg $(DESTDIR)/usr/lib/cgi-bin/
 	cp -p src/dpkg-www $(DESTDIR)/usr/bin/
 	cp -p src/dpkg-www-installer $(DESTDIR)/usr/sbin/
@@ -27,8 +25,6 @@
 	cp -p src/dpkg-www.1 $(DESTDIR)/usr/share/man/man1/
 	cp -p src/dpkg-www.8 $(DESTDIR)/usr/share/man/man8/
 	cp -p src/dpkg-www.conf $(DESTDIR)/etc/
-	cp -p src/apache.conf $(DESTDIR)/etc/apache/conf.d/dpkg-www
-	cp -p src/apache.conf $(DESTDIR)/etc/apache2/conf.d/dpkg-www
 
 clean:
 	rm -f `find . -name \*~`

=== debian/changelog ===
dpkg-www (2.55) unstable; urgency=medium

  * QA upload:
    - d/control: Set maintainer address to QA.
  * Apache2.4 transition (Closes: #669735, #578237):
    - d/control: Build-depends on dh-apache2, change hard Depends on apache2
      to use of misc:Recommends.
    - d/rules: Add dh_apache2.
    - New d/dpkg-www.apache2 to handle apache configuration, renamed
      src/apache.conf to debian/dpkg-www.conf.
    - d/maintscript: rm_conffile in /etc/apache for apache1, mv_conffile to
      conf-available.
    - Makefile: No longer handling apache2 conf.
    - d/postinst: No longer handling apache2 conf. File deleted.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Wed, 25 Mar 2015 11:04:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: dpkg-www
 Section: doc
 Priority: optional
-Maintainer: Massimo Dal Zotto <dz@debian.org>
-Build-Depends: debhelper (>= 4.1.16)
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 4.1.16), dh-apache2
 Standards-Version: 3.5.8
 
 Package: dpkg-www
 Architecture: all
-Depends: apt, dwww, info2www, perl | perl5, apache2 | httpd
+Depends: apt, dwww, info2www, perl | perl5
+Recommends: ${misc:Recommends}
 Suggests: dlocate, grep-dctrl, mozilla-firefox | www-browser, man2html, tasksel
 Description: Web based Debian package browser
  With the dpkg cgi-bin you can browse Debian packages on a local or

=== debian/rules ===
--- 
+++ 
@@ -81,6 +81,7 @@
 	# dh_installinfo
 	# dh_undocumented
 	dh_installchangelogs 
+	dh_apache2
 	# dh_link
 	# dh_strip
 	dh_compress

## dpkg-www 2.56

=== Makefile ===
# Makefile

PKGNAME = $(shell head -1 debian/changelog | sed 's/ .*//')
VERSION	= $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//;s/-.*//')

all:
	# Update program version from changelog
	if ! grep -q "^PROG_VERSION=$(VERSION)$$" src/dpkg; then \
	    sed '/^PROG_VERSION=/s/^.*$$/PROG_VERSION=$(VERSION)/' \
		< src/dpkg > src/dpkg.new; \
	    mv -f src/dpkg.new src/dpkg; \
	    chmod 755 src/dpkg; \
	fi

=== debian/changelog ===
dpkg-www (2.56) unstable; urgency=medium

  * QA upload.
  * Bumped compat level to 9.
  * Bumped Standards-Version to 3.9.6:
    - Move menu to section Applications/System/Package Management.
  * Bumped source format to 3.0 (native).
  * Minimize d/rules to use dh $@.
  * Use d/install to install files. Drop unused targets from Makefile.
  * Use d/manpages to install manuals.
  * Use .so in dpkg-www-installer.8 rather than creating links manually.
  * Other d/control changed:
    - Added Vcs-* fields.
    - Added ${misc:Depends}.
    - Replace mozilla-firefox by iceweasel.
  * src/dpkg-www.8:
    - Fix hyphen-used-as-minus-sign.
    - Spelling fix.
  * Polish apache2.4 upgrade:
    - New require apache2.4 syntax in d/dpkg-www.conf.
    - Update README.Debian.
    - New lintian override for Build-Depending on dh-apache2.
  * d/copyright: Switch to DEP5 format, fix link to GPL-2 license.
  * New .desktop file since menu is deprecated.
  * Set utf-8 charset in html responses. (Closes: #712018)
  * Force perl 'scalar' parsing of CGI parameters. (Closes: #774319)
  * Delete unwanted 'debian/:q' file. (Closes: #781295)

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Tue, 15 Sep 2015 21:17:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: doc
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 4.1.16), dh-apache2
-Standards-Version: 3.5.8
+Build-Depends: debhelper (>= 9), dh-apache2
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/dpkg-www.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dpkg-www.git
 
 Package: dpkg-www
 Architecture: all
-Depends: apt, dwww, info2www, perl | perl5
+Depends: ${misc:Depends}, apt, dwww, info2www, perl | perl5
 Recommends: ${misc:Recommends}
-Suggests: dlocate, grep-dctrl, mozilla-firefox | www-browser, man2html, tasksel
+Suggests: dlocate, grep-dctrl, iceweasel | www-browser, man2html, tasksel
 Description: Web based Debian package browser
  With the dpkg cgi-bin you can browse Debian packages on a local or
  remote host using a normal web browser.

## dpkg-www 2.57

=== debian/changelog ===
dpkg-www (2.57) unstable; urgency=medium

  * QA upload.
  * Update archive section names and descriptions. (Closes: #847532)
  * Wrap and sort debian/control and debian/copyright fields.
  * Spell CGI in uppercase.
  * Remove now unused dh-apache2 lintian override.
  * Use balanced quotes '' instead of `' in text.
  * Remove trailing spaces.
  * Update Vcs field URLs.
  * Remove obsolete perl5 alternative dependency.
  * Replace iceweasel with firefox dependency.
  * Add sensible-utils to Suggests.
  * Use https in debian/copyright Format URL.
  * Move location of license on Debian systems into a Comment field in
    debian/copyright file.
  * Bump debhelper compatibilty level to 10.
  * Set Rules-Requires-Root to no.
  * Add lintian override for bogus tech-ctte decision imposed onto policy,
    as the less bad of all alternatives.
  * Bump Standards-Version to 4.1.1.

 -- Guillem Jover <guillem@debian.org>  Fri, 17 Nov 2017 03:32:01 +0100

=== debian/control ===
Source: dpkg-www
Section: doc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Vcs-Git: https://anonscm.debian.org/git/collab-maint/dpkg-www.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/dpkg-www.git
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 10),
 dh-apache2,
Standards-Version: 4.1.1

Package: dpkg-www
Architecture: all
Depends:
 ${misc:Depends},
 apt,
 dwww,
 info2www,
 perl,
Recommends:
 ${misc:Recommends},
Suggests:
 dlocate,
 grep-dctrl,
 firefox | www-browser,
 sensible-utils,
 man2html,
 tasksel,
Description: Web based Debian package browser
 With the dpkg cgi-bin you can browse Debian packages on a local or
 remote host using a normal web browser.
 .
 You can list packages, show package information and installed files,
 browse documentation and navigate through the packages dependencies.
 You can also find all the packages owners of a file or directory or
 those providing a virtual package.
 .
 If you are the system administrator you can also install or remove
 packages by clicking on the buttons found in the package info page,
 provided that this feature has been enabled and you have properly
 configured your web browser.

## dpkg-www 2.58

=== debian/changelog ===
dpkg-www (2.58) unstable; urgency=medium

  * Take over maintainership as part of the Dpkg Developers umbrella.
  * Namespace debhelper fragment files with binary package name.
  * Remove lintian override about sensible-utils, now that lintian has been
    fixed.
  * Lower-case package synopsis.
  * Bump Standards-Version to 4.3.0 (no changes needed).
  * Bump debhelper compatibility level to 11.
  * Move dwww and info2www from Depends to Recommends.
  * Use dpkg-query directly instead of via the dpkg wrapper.
  * Use dpkg-query instead of accessing the internal dpkg database directly.

 -- Guillem Jover <guillem@debian.org>  Sat, 02 Feb 2019 04:01:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: dpkg-www
 Section: doc
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dpkg-www.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/dpkg-www.git
+Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Uploaders: Guillem Jover <guillem@debian.org>
+Vcs-Git: https://git.dpkg.org/cgit/dpkg/dpkg-www.git
+Vcs-Browser: https://git.dpkg.org/git/dpkg/dpkg-www.git
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-apache2,
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 
 Package: dpkg-www
 Architecture: all
 Depends:
  ${misc:Depends},
+ dpkg (>= 1.19.3),
  apt,
- dwww,
- info2www,
  perl,
 Recommends:
  ${misc:Recommends},
+ dwww,
+ info2www,
 Suggests:
  dlocate,
  grep-dctrl,
@@ -27,7 +29,7 @@
  sensible-utils,
  man2html,
  tasksel,
-Description: Web based Debian package browser
+Description: web based Debian package browser
  With the dpkg cgi-bin you can browse Debian packages on a local or
  remote host using a normal web browser.
  .

## dpkg-www 2.59

=== debian/changelog ===
dpkg-www (2.59) unstable; urgency=medium

  * Add support for golang section.
  * Line-wrap field values to the next line in debian/copyright.
  * Unify package description with the rest of the dpkg suite.
  * Document DPKG_WWW_HOST in dpkg-www(8) man page.
  * Use https URLs everywhere except for localhost.
  * Update DDPO URL.
  * Decapitalize «web» in CGI and man pages.
  * Remove or update obsolete web browser references.
  * Change FSF postal address to an URL for GPL-2+ license grants.
  * Clean up man pages:
    - Move copyright and license information from AUTHOR and LICENSE sections
      to file comment headers.
    - Update Contents examples use current compression, suite, area and
      architecture.
    - Make Debian references kernel neutral.
    - Use «X Window System» instead of incorrect name.
    - Replace obsolete package references.
    - Fix markup, by adding sections between parenthesis for man page
      references, escaping dash characters, and applying bold for programs,
      variable names and command-line options, and italic for filenames and
      variable values.
    - Fix some typos.
  * Use UTF-8 copyright symbol instead of (C).
  * Stop linkifying the author information to dead URLs in the footer.
  * Add a new dist target to the Makefile.

 -- Guillem Jover <guillem@debian.org>  Wed, 27 Feb 2019 05:53:28 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  sensible-utils,
  man2html,
  tasksel,
-Description: web based Debian package browser
+Description: Debian package management web interface
  With the dpkg cgi-bin you can browse Debian packages on a local or
  remote host using a normal web browser.
  .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with apache2

## dpkg-www 2.59+nmu1

=== debian/changelog ===
dpkg-www (2.59+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:27:22 +0800

## dpkg-www 2.60

=== Makefile ===
--- 
+++ 
@@ -11,3 +11,9 @@
 	    mv -f src/dpkg.new src/dpkg; \
 	    chmod 755 src/dpkg; \
 	fi
+
+dist:
+	git archive \
+	    --prefix=$(PKGNAME)-$(VERSION)/ \
+	    --output=$(PKGNAME)-$(VERSION).tar.xz \
+	    $(VERSION)

=== debian/changelog ===
dpkg-www (2.60) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1 (no changes needed).
  * Switch from debian/compat to debhelper-compat in Build-Depends.
  * Switch to debhelper compatibility level 12.
  * Depend on libcgi-pm-perl, for the CGI module which got removed from
    perl core in 5.21.0. Thanks to Michael Gindonis <mkg@iki.fi>.
    Closes: #942278
  * Remove obsolete conffile removal and renames.
  * Uppercase apache2 Require directives.
  * Lowercase web in README.Debian.
  * Remove copyright output in CGI HTML footer, as this information can get
    out of sync and duplicates what is already in the source header.

 -- Guillem Jover <guillem@debian.org>  Sun, 13 Oct 2019 23:41:18 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Vcs-Browser: https://git.dpkg.org/git/dpkg/dpkg-www.git
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-apache2,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 
 Package: dpkg-www
 Architecture: all
@@ -18,6 +18,7 @@
  dpkg (>= 1.19.3),
  apt,
  perl,
+ libcgi-pm-perl,
 Recommends:
  ${misc:Recommends},
  dwww,

## dpkg-www 2.61

=== Makefile ===
# Makefile

PKGNAME = $(shell dpkg-parsechangelog -SSource)
VERSION = $(shell dpkg-parsechangelog -SVersion)
RELTIME = $(shell dpkg-parsechangelog -STimestamp)
PODDATE = $(shell TZ=UTC0 LC_ALL=C date '+%F' --date="@$(RELTIME)")

POD2MAN = pod2man

MANS = src/dpkg-www.1 src/dpkg-www.8

all: src/dpkg $(MANS)

src/dpkg: src/dpkg-cgi
	# Update program version from changelog
	sed '/^PROG_VERSION=/s/^.*$$/PROG_VERSION=$(VERSION)/' <$< >$@
	chmod 755 $@

%: %.pod
	$(POD2MAN) \
	  --section=$(subst .,,$(suffix $@)) \
	  --name=$(basename $@) \
	  --center="Debian Project" \
	  --date="$(PODDATE)" \
	  --release="$(VERSION)" \
	    $< >$@

clean:
	$(RM) src/dpkg
	$(RM) $(MANS)

dist:
	git archive \
	    --prefix=$(PKGNAME)-$(VERSION)/ \
	    --output=$(PKGNAME)-$(VERSION).tar.xz \
	    $(VERSION)

=== debian/changelog ===
dpkg-www (2.61) unstable; urgency=medium

  * Switch to debhelper compatibility level 13.
  * Switch to Standards-Version 4.5.1 (no changes needed).
  * Mark dpkg-www package as Multi-Arch: foreign.
  * Use dpkg-parsechangelog in upstream build system.
  * Do not replace version in source dpkg CGI script at build time, instead
    create a replaced file to install.
  * Rewrite man pages from groff to POD.
  * Update copyright years.

 -- Guillem Jover <guillem@debian.org>  Wed, 30 Dec 2020 02:18:20 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
 Vcs-Browser: https://git.dpkg.org/git/dpkg/dpkg-www.git
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-apache2,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 
 Package: dpkg-www
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  dpkg (>= 1.19.3),

## dpkg-www 2.62

=== debian/changelog ===
dpkg-www (2.62) unstable; urgency=medium

  * Update or remove references to netscape.
  * dpkg-www: Rework X11 browser preference list.
  * dpkg-www: Use «command -v» instead of «which».
  * dpkg-cgi: Lowercase HTML tags.
  * dpkg-cgi: Fix recent query.
  * dpkg-cgi: Declare function scoped variables as local.
  * dpkg-cgi: Update example queries with more probable matches.
  * dpkg-cgi: Fix typo in example query description.
  * dpkg-cgi: Fix tasks queries.
  * Packaging:
    - Switch to Standards-Version 4.6.0 (no changes needed).
    - Remove firefox from www-browser alternative.

 -- Guillem Jover <guillem@debian.org>  Sat, 13 Nov 2021 19:48:03 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-apache2,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 
 Package: dpkg-www
 Architecture: all
@@ -27,10 +27,10 @@
 Suggests:
  dlocate,
  grep-dctrl,
- firefox | www-browser,
  sensible-utils,
  man2html,
  tasksel,
+ www-browser,
 Description: Debian package management web interface
  With the dpkg cgi-bin you can browse Debian packages on a local or
  remote host using a normal web browser.

## dpkg-www 2.63

=== debian/changelog ===
dpkg-www (2.63) unstable; urgency=medium

  * Use «command -v <rel-name>» instead of «test -x <abs-name>».
  * Do not call ssh with an absolute pathname.
  * Update Contents files example pathnames.
  * Update copyright years.
  * Build system:
    - Remove directories from man page name.
  * Packaging:
    - Switch to Standards-Version 4.6.1 (no changes needed).
    - Update lintian overrides.

 -- Guillem Jover <guillem@debian.org>  Sat, 03 Dec 2022 18:25:58 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-apache2,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 
 Package: dpkg-www
 Architecture: all

## dpkg-www 2.64

=== debian/changelog ===
dpkg-www (2.64) unstable; urgency=medium

  * Packaging:
    - Do not trim debian/changelog.
    - Switch to Standards-Version 4.6.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sat, 25 Feb 2023 17:27:28 +0100
